# port
server:
  port: 8080

# spring config
spring:
  # jdbc config
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://127.0.0.1:3306/bacisic_admin?useUnicode=true&characterEncoding=utf-8&serverTimezone=GMT%2b8&useSSL=false&autoReconnect=true&failOverReadOnly=false
    username:
    password:
    dbcp2:
      max-idle: 10
      min-idle: 5
      initial-size: 5
      validation-query: SELECT 1
      test-on-borrow: false
      test-while-idle: true
      time-between-eviction-runs-millis: 18800
      max-wait-millis: 10000
  # jackson config
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: NON_NULL

  # redis config
  redis:
    host: 127.0.0.1
    port: 6379
    password:
    database: 4
    timeout: 5000
    jedis:
      pool:
        max-active: 1
        max-wait: -1
        max-idle: 8
        min-idle: 0

### mybatis-plus config ###
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:mapper/*.xml
  global-config:
    db-config:
      logic-delete-value: 1 #Logical deleted value (default is 1)
      logic-not-delete-value: 0 #Logical not deleted value (default is 0)
  type-enums-package: com.benson.basic.system.enums,com.benson.common.creator.entity.enums

## basic-common config
basic-common:
  creator:
    show: true
  swagger:
    username: swagger
    password: 123456
  cron:
    scan-package: com.benson.basic.system.cron

swagger:
  enabled: true
